name: advanced-pip-example

dependencies:
  - pip
  - pip:

    # Global options can be tweaked.
    # For example, if you want to use a pypi mirror first:
    - --index-url https://pypi.doubanio.com/simple
    - --extra-index-url https://pypi.python.org/simple
    # (check https://www.pypi-mirrors.org/)

    # Current syntax still works
    - xmltodict==0.10.2

    # Install in editable mode.
    # More natural than - "--editable=git+https://github.com/neithere/argh.git#egg=argh
    - -e git+https://github.com/neithere/argh.git#egg=argh

    # You could also specify a package in a directory.
    # The directory can be relative to this environment file.
    - -e ./module_to_install_in_editable_mode

    # Use another requirements file.
    # Note that here also we can use relative paths.
    # pip will be run from the environment file directory, if provided.
    - -r another-project-requirements.txt

    # Anything else that pip requirement files allows should work seamlessly...
